// package_first/pages/AttentionMethod/index.js
import { 
    api_getIsApply
} from  '../../../api/attention.js';
Page({

    /**
     * 页面的初始数据
     */
    data: {
        status:null
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        // let status = options.status
        // this.setData({
        //     status
        // })
        // console.log(status);
        
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        this.getIsApply()
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    },
    getIsApply(){
        const openid = wx.getStorageSync('openid')
        const data = { openid }
            api_getIsApply(data).then(res=>{
                this.data.status = res.data
            })
    },
    goPage(e){
        if(this.data.status == 1 ){
            wx.showToast({
              title: '您已参加该活动',
              icon:"none"
            })
            return
        }
        wx.navigateTo({
            url: `/package_first/pages/AddPicture/index`,
        })
    },
})